Segments
Update segment
Updates the segment's identity, distribution and showcase.
PATCH
/segments/{id}segments:writeRequest
idstring · pathResource identifier.mandatorynamestring · bodySegment name.optionalslugstring · bodyPublic slug.optionaldescriptionstring · bodyDescription.optionalstore_namestring · bodyStorefront name.optionalstore_taglinestring · bodyPhrase from the window.optionalstore_colorstring · bodyMain color.optionalauto_expandboolean · bodyEnables automatic expansion.optionaldistributionstring · bodyDistribution strategy.optionalwaitlistboolean · bodyActivates queue.optionalExample
curl
curl -X PATCH 'https://achadu.com/api/v1/segments/resource_id' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"name": "My integration",
"slug": "string",
"description": "string"
}'Answer
200Operation completed4xxError with code, message and request_id